
Redmine - Defect #13757

500 on project's Settings tab or creating new projects.

2013-04-12 22:05 - Juan Perez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

Hello,

I just upgraded to 2.3 and can't access any project's Settings tab anymore. I get this error:

ActionView::Template::Error (undefined method `inherit_members' for #<Project:0x7fa5a2f2a2e8>):

17: <% end >

18:

19: < if @project.safe_attribute? 'inherit_members' >

20: <p><= f.check_box :inherit_members ></p>

21: < end >

22:

23: <= wikitoolbar_for 'project_description' %>

lib/redmine/views/labelled_form_builder.rb:31:in `check_box'

app/views/projects/_form.html.erb:20:in `_app_views_projects__form_html_erb__611119149_70174691458280'

app/views/projects/_edit.html.erb:2:in `_app_views_projects__edit_html_erb___1355675442_70174691532840'

app/helpers/application_helper.rb:944:in `labelled_form_for'

app/views/projects/_edit.html.erb:1:in `_app_views_projects__edit_html_erb___1355675442_70174691532840'

app/views/common/_tabs.html.erb:24:in `_app_views_common__tabs_html_erb___144001353_70174692368340'

app/views/common/_tabs.html.erb:23:in `each'

app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb___144001353_70174692368340'

app/helpers/application_helper.rb:271:in `render_tabs'

app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb___240808740_70174692672940'

I confirmed that the following is in app/models/project.rb:

"safe_attributes 'inherit_members',

:if => lambda {|project, user| project.parent.nil? || project.parent.visible?(user)}"

Absolutely no expert on RoR, any ideas of where to look at? Thanks!

-------------------------------------------------------

ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

RubyGems version          1.3.7

Rack version              1.5.2

Rails version             3.2.13

History

#1 - 2013-04-17 20:13 - Juan Perez

- Status changed from New to Resolved

If anyone has the same problem, you only need to migrate the db, backup first!

http://blog.globstudio.com/1269.html

#2 - 2013-04-18 05:16 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Powered by TCPDF (www.tcpdf.org)

2024-05-02 1/1

http://blog.globstudio.com/1269.html
http://www.tcpdf.org

